<ng-template [ngIf]="isInDisplayArchiveDataFileListMode">
  <div class="button-toolbar">
    <button (click)="back()"
            (onEnter)="back()"
            color="primary"
            mat-button
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.back"></solidify-icon>
      {{labelTranslateEnum.backToArchiveDetail | translate}}
    </button>
  </div>

  <div class="header">
    <div class="left-part">
      <ng-template [ngIf]="dataTablePresentational?.multiSelectionValueOnAllPages.length > 0">
        <ng-container *ngFor="let bulkAction of bulkActions">
          <button (click)="dataTablePresentational?.callBulkAction(bulkAction)"
                  (onEnter)="dataTablePresentational?.callBulkAction(bulkAction)"
                  *ngIf="bulkAction.displayCondition(dataTablePresentational?.multiSelectionValueOnAllPages) | solidifyAsync"
                  [disabled]="isLoadingDataFileObs | async"
                  color="primary"
                  mat-button
                  solidifyShortCuts
                  type="button"
          >
            <solidify-icon [iconName]="bulkAction.icon"></solidify-icon>
            {{bulkAction.labelToTranslate() | solidifyAsync | translate}}
          </button>
        </ng-container>
      </ng-template>
    </div>
    <div class="right-part">

    </div>
  </div>

  <div class="file-list-wrapper">
    <solidify-data-table #dataTablePresentational
                         (queryParametersChange)="onQueryParametersEvent($event)"
                         (queryParametersWithoutRefreshChange)="onQueryParametersEvent($event, false)"
                         (selectChange)="showDetail($event)"
                         [actions]="actions"
                         [bulkActions]="bulkActions"
                         [columnsSkippedToClear]="$any(columnsToSkippedFilter)"
                         [columns]="columns"
                         [data]="listCollectionObs | async"
                         [isDraggable]="false"
                         [isLoading]="isLoadingDataFileObs | async"
                         [isMultiSelectable]="false"
                         [preloadRowsForPage]="true"
                         [queryParameters]="queryParametersObs | async"
                         [displaySpinnerWhenLoading]="true"
                         [skipInitialQuery]="true"
                         [displayActionCopyIdToClipboard]="true"
    >
    </solidify-data-table>
  </div>
</ng-template>

<router-outlet></router-outlet>
